Bug 6803 - Default copy constructor problem in GCC v3.1
Summary: Default copy constructor problem in GCC v3.1
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 3.1
: P3 normal
Target Milestone: ---
Assignee: Kriang Lerdsuwanakij
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-24 12:56 UTC by ahelm
Modified: 2003-07-25 17:33 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
copy_problem.cpp (297 bytes, application/octet-stream)
2003-05-21 15:16 UTC, ahelm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ahelm 2002-05-24 12:56:00 UTC
Code compiles with GCC v2.95.2, v2.95.3, 
v3.0.2, v3.0.3 and v3.0.4 but not with v3.1.

copy_problem.cpp: In copy constructor `QQ::QQ(const QQ&)':
copy_problem.cpp:57: invalid conversion from `const RR*' to `long long int'
copy_problem.cpp:57:   initializing argument 1 of `RR::RR(long long int)'
copy_problem.cpp: In function `int main()':
copy_problem.cpp:57:   initializing temporary from result of `QQ::QQ(const RR&

Release:
3.1

Environment:
DJGPP

How-To-Repeat:
compile with g++ v3.1, e.g.
g++ copy_problem.cpp
Comment 1 ahelm 2002-05-24 12:56:00 UTC
Fix:
?
Comment 2 Paolo Carlini 2002-05-25 00:33:18 UTC
State-Changed-From-To: open->analyzed
State-Changed-Why: Confirmed. Regression from 3.0.4.
Comment 3 Kriang Lerdsuwanakij 2002-06-17 07:00:27 UTC
Responsible-Changed-From-To: unassigned->lerdsuwa
Responsible-Changed-Why: Same bug as PR6944.  Patch submitted for approval.
Comment 4 Kriang Lerdsuwanakij 2002-07-03 08:46:47 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed.